%define origin          sun
%define j2eever         1.3
%define minorver        1
%define version         %{j2eever}.%{minorver}
%define cvs_version     1_3_1
%define release         2jpp
%define name            j2sdkee-%{j2eever}-%{origin}
%define section         non-free
%define archive_name    j2sdkee-%{cvs_version}-linux.tar.gz
%define toplevel_dir    j2sdkee%{version}

Name:           %{name}
Version:        %{version}
Release:        %{release}
Epoch:          0
Summary:        Reference Implementation for %{name}
License:        Sun Binary Code License
Group:          Internet/WWW/Servers
Vendor:         JPackage Project
Distribution:   JPackage
URL:            http://java.sun.com/j2ee/1.3/index.jsp
Source0:        %{archive_name}
NoSource:       0
Requires:       jpackage-utils >= 0:1.5.32
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  jpackage-utils >= 0:1.5.32

%description
The Java 2 Software Development Kit, Enterprise Edition 
(J2EE SDK) includes the binary version of the J2EE 
reference implementation, plus related development tools 
and documentation that enable you to create distributed 
applications for the J2EE platform.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.

%package        demo
Summary:        Samples for %{name}
Group:          Development/Documentation

%description    demo
%{summary}.

%package        manual
Summary:        Docs for %{name}
Group:          Development/Documentation

%description    manual
%{summary}.

# -----------------------------------------------------------------------------

%prep
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{toplevel_dir}
gzip -dc %{SOURCE0} | tar -xf -

%setup -T -D -n %{toplevel_dir}
# fix perms
chmod -R go=u-w *
chmod -R u+w *

# -----------------------------------------------------------------------------

%build
# Nope.

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT

# main files
install -d -m 755 $RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}
cp -pr * $RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
mv $RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}/lib/j2ee.jar $RPM_BUILD_ROOT%{_javadir}/j2ee-%{version}-sun.jar
ln -s %{_javadir}/j2ee-%{version}-sun.jar $RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}/lib/j2ee.jar
ln -s %{_javadir}/j2ee-%{version}-sun.jar $RPM_BUILD_ROOT%{_javadir}/j2ee-%{version}.jar
ln -s %{_javadir}/j2ee-%{version}-sun.jar $RPM_BUILD_ROOT%{_javadir}/j2ee-%{j2eever}.jar

# javadoc files
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}/doc/api \
                  $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

# demo files
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
mv $RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}/doc/samples \
                  $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}

# manual files
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}/doc/* \
                  $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}/LICENSE $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}/README $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}/COPYRIGHT $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(-,root,root)
%doc %{_docdir}/%{name}-%{version}/LICENSE
%doc %{_docdir}/%{name}-%{version}/README
%doc %{_docdir}/%{name}-%{version}/COPYRIGHT
%attr(755,root,root)                 %{_localstatedir}/lib/%{name}/bin/*
%{_localstatedir}/lib/%{name}/[c-z]*
%{_javadir}/*.jar

%files javadoc
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files demo
%{_datadir}/%{name}-%{version}

%files manual
%{_docdir}/%{name}-%{version}

%changelog

* Wed May 26 2004 Ralph Apel <r.apel@r-apel.de> 1.3.1-2jpp
- move COPYRIGHT, LICENSE, README to _docdir instead of copying

* Fri Feb 13 2004 Ralph Apel <r.apel@r-apel.de> 1.3.1-1jpp
- first JPackage release
